<?php

/**
 * Enqueue scripts and styles.
 */
function basetheme_scripts()
{
   wp_enqueue_style('basetheme-style', get_stylesheet_uri());
   wp_enqueue_style('main-css', get_stylesheet_directory_uri() . '/dist/main.min.css');


   wp_enqueue_script('main', get_template_directory_uri() . '/dist/main.js', array('jquery'), '1.1', true);

   wp_dequeue_style('wp-block-library');

   if (is_singular() && comments_open() && get_option('thread_comments')) {
      wp_enqueue_script('comment-reply');
   }

   /**************************************************
    * Passed data in JS
    **************************************************/
   $dataToBePassed = array(
      'themeUrl'   => get_stylesheet_directory_uri(),
      'ajaxUrl'   => admin_url('admin-ajax.php')
   );

   wp_localize_script('main', 'GlobalThemeData', $dataToBePassed);
}

add_action('wp_enqueue_scripts', 'basetheme_scripts');

// Dashboard custom style css
function admin_style()
{
   wp_register_style('admin_css', get_stylesheet_directory_uri() . '/dist/admin.css', false, '1.0.0');
   wp_enqueue_style('admin_css', get_stylesheet_directory_uri() . '/dist/admin.css', false, '1.0.0');
}
add_action('admin_enqueue_scripts', 'admin_style');