<?php
$background_image = get_field('background_image');
$background_image_url = $background_image['url'];
$background_image_alt = $background_image['alt'];

$hero_image = get_field("hero_image");
$hero_image_url = $hero_image["url"];
$hero_image_alt = $hero_image["alt"];


$heading = get_field("heading");
$subheading = get_field("subheading");
$subheading_mobile = get_field("subheading_mobile");


$link = get_field("hero_button")
?>

<section class="hero-section">
    <div class="container">
        <div class="hero-box">
            <div class="image">
                <?php if ($background_image) : ?>
                    <img src="<?php echo esc_url($background_image_url); ?>" alt="<?php echo esc_attr($background_image_alt); ?>" />
                <?php else : ?>
                    <div class="image-not-found">
                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/logo.png" />
                    </div>

                <?php endif; ?>
            </div>

            <div class="text-box">

                <?php if ($heading) : ?>
                    <?php echo $heading ?>
                <?php else : "" ?>
                <?php endif; ?>

                <div class="subheading">
                    <?php if ($subheading) : ?>
                        <?php echo $subheading ?>
                    <?php else : "" ?>
                    <?php endif; ?>
                </div>

                <div class="subheading-mobile">
                    <?php if ($subheading_mobile) : ?>
                        <?php echo $subheading_mobile ?>
                    <?php else : "" ?>
                    <?php endif; ?>
                </div>

                <?php if ($hero_image_url) : ?>
                    <img src="<?php echo esc_url($hero_image_url); ?>" alt="<?php echo esc_attr($hero_image_alt); ?>" />
                <?php endif; ?>

                <?php
                if ($link) :
                    $link_url = $link['url'];
                    $link_title = $link['title'];
                    $link_target = $link['target'] ? $link['target'] : '_self';
                ?>
                    <a class="btn" href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>"><?php echo esc_html($link_title); ?></a>
                <?php endif; ?>
            </div>
        </div>
    </div>
</section>