<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package BaseTheme
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Source+Sans+Pro:ital,wght@0,400;0,700;0,900;1,400;1,700;1,900&display=swap" rel="stylesheet">

<head>
   <?php
   wp_head();
   ?>
</head>

<body <?php body_class(); ?>>
   <?php load_analytics('analytics_body_top') ?>
   <div id="page" class="site">
      <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to content', 'basetheme'); ?></a>

<?php get_template_part('template-parts/header', 'main'); ?>
<div id="content" class="site-content">