<?php
$link = get_field('sign_up_link');
$linkDes = get_field("sing_up_gift");
?>

<section class="profile-section">
    <div class="container">

        <div class="profile-cards">
            <?php if (have_rows('cards')) :
                while (have_rows('cards')) : the_row();
            ?>
                    <?php
                    $title = get_sub_field('title');
                    $description = get_sub_field('description');

                    $icon = get_sub_field('icon');
                    $icon_url = $icon['url'];
                    $icon_alt = $icon['alt'];

                    ?>

                    <div class="card">
                        <div class="card-image">
                            <?php if ($icon) : ?>
                                <img src="<?php echo esc_url($icon_url); ?>" alt="<?php echo esc_attr($icon_alt); ?>" />
                            <?php else : ?>
                                <img src="<?php echo get_template_directory_uri();?>/assets/images/logo.png" />
                            <?php endif ?>
                        </div>

                        <div class="card-content">
                            <?php if ($title) : ?>
                                <p class="card-title"><?php echo $title ?></p>
                            <?php else : "" ?>
                            <?php endif ?>

                            <?php if ($description) : ?>
                                <p class="description"><?php echo $description ?></p>
                            <?php else : "" ?>
                            <?php endif ?>
                        </div>
                    </div>
                <?php
                endwhile; ?>
            <?php endif; ?>
        </div>

        <div class="cta">
            <?php if ($linkDes) : ?>
                <?php echo $linkDes ?>
            <?php else : "" ?>
            <?php endif ?>

            <?php
            if ($link) :
                $link_url = $link['url'];
                $link_title = $link['title'];
                $link_target = $link['target'] ? $link['target'] : '_self';
            ?>
            <div class="button">
                <a class="btn" href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>"><?php echo esc_html($link_title); ?></a>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>